﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace WpfApplication1
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			this.DataContext = new Context
			{
				Start = 2,
				End = 5
			};
		}
	}

	public class Context : INotifyPropertyChanged
	{
		private double start, end;

		public double Start
		{
			get
			{
				return this.start;
			}
			set
			{
				this.start = value;
				OnPc("Start");
			}
		}

		public double End
		{
			get
			{
				return this.end;
			}
			set
			{
				this.end = value;
				OnPc("End");
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;

		private void OnPc(string propName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propName));
			}
		}
	}
}